API
API Reference
Contacts
Delete Contact

Delete Contact

Delete a contact from Customerscore.

For interactive API documentation, see the Swagger reference (opens in a new tab).

Endpoint

MethodURL
DELETEhttps://api.customerscore.io/api/v1/customer/{customerExternalId}/contact/{contactExternalId}

Path Parameters

ParameterTypeRequiredDescription
customerExternalIdstringYesCustomer external ID
contactExternalIdstringYesContact external ID

This endpoint does not require a request body.

Example Request

curl -X DELETE "https://api.customerscore.io/api/v1/customer/12345/contact/C12345" \
  -H "customerscore-key: your-generated-key"

Response Codes

CodeDescription
200The contact has been successfully deleted
401Unauthorized - Missing customerscore-key in the header
403Forbidden - Invalid key
404Customer or contact not found
405Method Not Allowed - Only DELETE method is allowed